2019-12-10 13:52 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000816FSSCPuser interfacepublic2008-04-02 01:38
ReporterCP5670 
Assigned ToWMCoolmon 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0000816: show-subtitle text is resolution dependent
DescriptionThe cutscene subtitles generated by this sexp don't scale at all with the resolution and can look very small at higher resolutions. The text positions specified in show-subtitle also seem to depend on the resolution, although I'm not entirely sure what units those are measured in.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005205

CP5670 (reporter)

Just an update on this, the subtitles haven't been showing up at all in the last several builds, regardless of the resolution and positions specified in the sexp. I'm not sure when this started occurring, but others report that it works (the subtitles at least appear, that is) in builds from early January.

~0005207

taylor (administrator)

Have you got a test mission I can try the subtitles with? Breaking those may have been my fault when I fixed several other problem areas with the cutscene code for TBP/BHX.

~0005208

CP5670 (reporter)

Here's the thing I have been messing around with:
http://home.comcast.net/~cp5670/movie.fs2

This mission doesn't work in the old 9/17 build anymore due to some mission format changes, but I know the subtitles used to appear for me in that build with the existing x and y values used in the show-subtitle sexps. They don't appear at all in recent builds, however.

~0005209

taylor (administrator)

Yep, broken subtitles were my fault. Fix for that will go in shortly.

I'll leave the resolution stuff to WMC though, I'm not sure how he wants to handle that.

~0005220

WMCoolmon (developer)

Well, it sounds like it's working exactly as intended...

I did it that way because I envisioned the subtitles being along the side of the screen, rather than absolutely centered.

As far as text size, I'm not sure what to do about that. IIRC, the gr_string function will let you resize the text and the coordinates, but not just one. I did a little work at trying to let me just resize the text, but never could get it working properly IIRC.

~0005221

CP5670 (reporter)

I was planning to have them horizontally centered but around the bottom of the screen (so they end up on one of the black bars created by set-cutscene-bars).

Is it possible to get the subtitle text to be the same size as all the other HUD text? The HUD text scales perfectly with the resolution.

~0005222

Petrarch (reporter)

Last edited: 2006-03-23 14:02

They do get read out by the simulated speech, I just found out, even if they're not shown.
So that's a temporary solution until they're fixed, anyway. Yes.

edited on: 03-23-06 14:02

~0005270

Ransom Arceihn (reporter)

Is there any progress on making their position scale with the resolution? I was also planning to have them centred horizontally.

~0005272

WMCoolmon (developer)

Finally took a look at this. There were a couple problems, with the SEXP implementation and the subtitle code itself.

There's now an issue, it looks like, with the retail function that splits the string up into more than one line. I only put in 10 subtitle lines - I didn't think someone would want to have more than that, didn't consider the possibility of vertical ones. ;) I've bumped that to 64, which may solve the issue with the retail function.

So, hopefully, fixxered in next CVS.

~0005287

CP5670 (reporter)

Last edited: 2006-04-07 01:15

I tried a few things with the karajorma 4/04 build and am getting some strange bugs.

It's now possible to partially get around the position scaling problem, since the centering options now work, at least in one resolution. Basically, if I use either of the centering options in a subtitle sexp, they work nicely in 2048x1536, but in any other resolution the text is not centered and just uses the X and Y positions instead. I tried 640x480, 1024x768 and 1600x1200 and the text was not centered at all; the centering only seems to work in 2048x1536. (which works out nicely for me, but my missions won't look right for most other people :p) This seems to happen regardless of what X and Y positions I use.

Also, I noticed that the text color was only showing up properly in 2048x1536. I have no idea what the resolution has to do with this, but in every other resolution I tried the text was just white, even if something different was specified in the sexp.

There don't seem to have been any changes made regarding the text size.

edited on: 04-07-06 01:15

~0005368

WMCoolmon (developer)

Bizarre...I tested it in 1280x1024 and it seemed to work. I wonder if it has something to do with the user's desktop resolution.

~0008749

Ransom Arceihn (reporter)

Hmm. The centering options don't seem to work any more in the 10-28 build.

~0009122

taylor (administrator)

* BUMP *

Can anyone confirm whether this is still a problem or not?

The basic scaling appears to be fixed (by a patch from MikeStar committed by Backslash), and I just committed a patch to make centering work properly, so I think that covers everything.

~0009142

taylor (administrator)

Assuming that it's fixed. Re-open if someone can replicate it in a fresh build.
+Notes

-Issue History
Date Modified Username Field Change
2006-02-18 03:45 CP5670 New Issue
2006-02-18 14:43 Goober5000 Assigned To => WMCoolmon
2006-02-18 14:43 Goober5000 Status new => assigned
2006-03-21 16:20 CP5670 Note Added: 0005205
2006-03-21 18:06 taylor Note Added: 0005207
2006-03-21 23:26 CP5670 Note Added: 0005208
2006-03-22 02:36 taylor Note Added: 0005209
2006-03-22 22:43 WMCoolmon Note Added: 0005220
2006-03-22 23:13 CP5670 Note Added: 0005221
2006-03-23 14:00 Petrarch Note Added: 0005222
2006-03-23 14:02 Petrarch Note Edited: 0005222
2006-04-01 10:26 Ransom Arceihn Note Added: 0005270
2006-04-03 04:14 WMCoolmon Note Added: 0005272
2006-04-03 04:14 WMCoolmon Status assigned => feedback
2006-04-07 01:02 CP5670 Note Added: 0005287
2006-04-07 01:15 CP5670 Note Edited: 0005287
2006-04-21 18:06 WMCoolmon Note Added: 0005368
2007-12-17 12:53 Ransom Arceihn Note Added: 0008749
2008-03-31 19:30 taylor Note Added: 0009122
2008-04-02 01:38 taylor Note Added: 0009142
2008-04-02 01:38 taylor Status feedback => resolved
2008-04-02 01:38 taylor Resolution open => fixed
2008-04-02 01:38 taylor Fixed in Version => 3.6.10
+Issue History